def gv

pipeline {
    agent any
     environment {
        BRANCH_NAME = sh(returnStdout: true, script: 'git rev-parse --abbrev-ref HEAD').trim()
    }
    stages {
        stage("build jar") {
            steps {
                script {
                    echo "testing the integration"
                    echo "building jar for ${env.BRANCH_NAME}"
                }
            }
        }
        stage("build image") {
            steps {
                script {
                    echo "building image"
                }
            }
        }
        stage("deploy") {
            steps {
                script {
                    echo "deploying"
                }
            }
        }
    }   
}
